<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

if(!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }

function createMenuItem($menu, $id, $title){
    $inCore = cmsCore::getInstance();
	$inDB 	= cmsDatabase::getInstance();
	$rootid = $inDB->get_field('cms_menu', 'parent_id=0', 'id');

	$ns     = $inCore->nestedSetsInit('cms_menu');
	$myid   = $ns->AddNode($rootid);

    $link   = $inCore->getMenuLink('content', $id);

	$sql = "UPDATE cms_menu
			SET menu='$menu',
				title='$title',
				link='$link',
				linktype='content',
				linkid='$id',
				target='_self',
				published='1',
				template='0',
				access_list='',
				iconurl=''
			WHERE id = '$myid'";

	$inDB->query($sql);
	return true;
}

function applet_content(){

    $inCore = cmsCore::getInstance();
    $inUser = cmsUser::getInstance();
	$inDB 	= cmsDatabase::getInstance();

	global $_LANG;

	//check access
	global $adminAccess;
	if (!cmsUser::isAdminCan('admin/content', $adminAccess)) { cpAccessDenied(); }

    $cfg = $inCore->loadComponentConfig('content');

    cmsCore::loadModel('content');
    $model = new cms_model_content();

    $GLOBALS['cp_page_title'] = $_LANG['AD_ARTICLES'];
    cpAddPathway($_LANG['AD_ARTICLES'], 'index.php?view=tree');

	$do = cmsCore::request('do', 'str', 'add');
	$id = cmsCore::request('id', 'int', -1);

	if ($do == 'arhive_on'){
		$inDB->query("UPDATE cms_content SET is_arhive = 1 WHERE id = '$id'");
		cmsCore::addSessionMessage($_LANG['AD_ARTICLES_TO_ARHIVE'], 'success');
		cmsCore::redirectBack();
	}

	if ($do == 'move'){

        $item_id = cmsCore::request('id', 'int', 0);
        $cat_id  = cmsCore::request('cat_id', 'int', 0);

        $dir     = $_REQUEST['dir'];
        $step    = 1;

        $model->moveItem($item_id, $cat_id, $dir, $step);
        echo '1'; exit;

	}

    if ($do == 'move_to_cat'){

        $items      = cmsCore::request('item', 'array_int');
        $to_cat_id  = cmsCore::request('obj_id', 'int', 0);

        if ($items && $to_cat_id){

			$last_ordering = (int)$inDB->get_field('cms_content', "category_id = '{$to_cat_id}' ORDER BY ordering DESC", 'ordering');

			foreach($items as $item_id){
				$article = $model->getArticle($item_id);
				if(!$article) { continue; }
				$last_ordering++;

                $model->updateArticle($article['id'], array('category_id'=>$to_cat_id,
                                                            'ordering'=>$last_ordering,
                                                            'url'=>$article['url'],
                                                            'title'=>$inDB->escape_string($article['title']),
                                                            'id'=>$article['id'],
                                                            'user_id'=>$article['user_id']));

			}

			cmsCore::addSessionMessage($_LANG['AD_ARTICLES_TO'], 'success');

        }

        cmsCore::redirect('?view=tree&cat_id='.$to_cat_id);

    }

	if ($do == 'show'){
		if (empty($_REQUEST['item'])){
			if ($id >= 0){ dbShow('cms_content', $id);  }
			echo '1'; exit;
		} else {
			dbShowList('cms_content', cmsCore::request('item', 'array_int'));
			cmsCore::redirectBack();
		}

	}

	if ($do == 'hide'){
		if (empty($_REQUEST['item'])){
			if ($id >= 0){ dbHide('cms_content', $id);  }
			echo '1'; exit;
		} else {
			dbHideList('cms_content', cmsCore::request('item', 'array_int'));
			cmsCore::redirectBack();
		}
	}

	if ($do == 'delete'){

		if (empty($_REQUEST['item'])){
			if ($id >= 0){
				$model->deleteArticle($id);
				cmsCore::addSessionMessage($_LANG['AD_ARTICLE_REMOVE'], 'success');
			}
		} else {
			$model->deleteArticles(cmsCore::request('item', 'array_int'));
			cmsCore::addSessionMessage($_LANG['AD_ARTICLES_REMOVE'], 'success');
		}
		cmsCore::redirectBack();
	}

	if ($do == 'update'){
        if (!cmsUser::checkCsrfToken()) { cmsCore::error404(); }
		if(!empty($_REQUEST['id'])) {

			$id                     = cmsCore::request('id', 'int', 0);
			$article['category_id'] = cmsCore::request('category_id', 'int', 1);
			$article['title']       = cmsCore::request('title', 'str');
			$article['url']         = cmsCore::request('url', 'str');
			$article['showtitle']   = cmsCore::request('showtitle', 'int', 0);
			$article['description'] = cmsCore::request('description', 'html', '');
			$article['description'] = $inDB->escape_string($article['description']);
			$article['content']     = cmsCore::request('content', 'html', '');
			$article['content']    	= $inDB->escape_string($article['content']);
			$article['published']   = cmsCore::request('published', 'int', 0);

			$article['showdate']    = cmsCore::request('showdate', 'int', 0);
			$article['showlatest']  = cmsCore::request('showlatest', 'int', 0);
			$article['showpath']    = cmsCore::request('showpath', 'int', 0);
			$article['comments']    = cmsCore::request('comments', 'int', 0);
			$article['canrate']     = cmsCore::request('canrate', 'int', 0);

            $enddate                = explode('.', cmsCore::request('enddate', 'str'));
            $article['enddate']     = $enddate[2] . '-' . $enddate[1] . '-' . $enddate[0];

			$article['is_end']      = cmsCore::request('is_end', 'int', 0);
            $article['pagetitle']   = cmsCore::request('pagetitle', 'str', '');

			$article['tags']        = cmsCore::request('tags', 'str');

            $olddate                = cmsCore::request('olddate', 'str', '');
			$pubdate                = cmsCore::request('pubdate', 'str', '');

            $article['user_id']     = cmsCore::request('user_id', 'int', $inUser->id);

			$article['tpl'] 		= cmsCore::request('tpl', 'str', 'com_content_read.tpl');

            $date = explode('.', $pubdate);
            $article['pubdate'] = $date[2] . '-' . $date[1] . '-' . $date[0] . ' ' .date('H:i');

            $autokeys               = cmsCore::request('autokeys', 'int');

            switch($autokeys){
                case 1: $article['meta_keys'] = $inCore->getKeywords($article['content']);
                        $article['meta_desc'] = $article['title'];
                        break;

                case 2: $article['meta_desc'] = strip_tags($article['description']);
                        $article['meta_keys'] = $article['tags'];
                        break;

                case 3: $article['meta_desc'] = cmsCore::request('meta_desc', 'str');
                        $article['meta_keys'] = cmsCore::request('meta_keys', 'str');
                        break;
            }

            // dev: maxiSoft / begin / 11.0.2015 11:0:33 / Источник материала
            $article['source_type']		= cmsCore::request('source_type','str','');
            $article['source_title'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('source_title','str',''));
            $article['source_link'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('source_link','str',''));
            // dev: maxiSoft / end / 11.0.2015 11:0:54 / Источник материала

            // dev: maxiSoft / begin / 11.1.2015 11:1:20 / Автор фото
            $article['photo_user_id'] 	= cmsCore::request('photo_user_id','int',0);
            $article['photo_author'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('photo_author','str',''));
            $article['photo_link'] 		= cmsDatabase::getInstance()->escape_string(cmsCore::request('photo_link','str',''));
            $article['photo_title'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('photo_title','str',''));
            // dev: maxiSoft / end / 11.1.2015 11:1:30 / Автор фото

            // dev: maxiSoft / begin / 11.1.2015 11:1:46 / Автор материала
            $article['content_author'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('content_author','str',''));
            $article['content_link'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('content_link','str',''));
            // dev: maxiSoft / end / 11.2.2015 11:2:0 / Автор материала

			$model->updateArticle($id, $article);

			if (!cmsCore::request('is_public', 'int', 0)){
				$showfor = $_REQUEST['showfor'];
				cmsCore::setAccess($id, $showfor, 'material');
			} else {
				cmsCore::clearAccess($id, 'material');
            }


            $file = 'article'.$id.'.jpg';

            if (cmsCore::request('delete_image', 'int', 0)){
                @unlink(PATH."/upload/content/small/$file");
                @unlink(PATH."/upload/content/medium/$file");
            } else {

				// Загружаем класс загрузки фото
				cmsCore::loadClass('upload_photo');
				$inUploadPhoto = cmsUploadPhoto::getInstance();
				// Выставляем конфигурационные параметры
				$inUploadPhoto->upload_dir    = PATH.'/upload/content/';
				$inUploadPhoto->small_size_w  = $model->config['img_small_w'];
				$inUploadPhoto->medium_size_w = $model->config['img_big_w'];
				$inUploadPhoto->thumbsqr      = $model->config['img_sqr'];
				$inUploadPhoto->is_watermark  = $model->config['watermark'];
				$inUploadPhoto->input_name    = 'picture';
				$inUploadPhoto->filename      = $file;
				// Процесс загрузки фото
				$inUploadPhoto->uploadPhoto();

            }
			cmsCore::addSessionMessage($_LANG['AD_ARTICLE_SAVE'], 'success');

			if (empty($_SESSION['editlist']) || @sizeof($_SESSION['editlist'])==0){
				cmsCore::redirect('?view=tree&cat_id='.$article['category_id']);
			} else {
				cmsCore::redirect('?view=content&do=edit');
			}
		}
	}

	if ($do == 'submit'){
        if (!cmsUser::checkCsrfToken()) { cmsCore::error404(); }
        $article['category_id'] = cmsCore::request('category_id', 'int', 1);
        $article['title']       = cmsCore::request('title', 'str');
        $article['url']         = cmsCore::request('url', 'str');
        $article['showtitle']   = cmsCore::request('showtitle', 'int', 0);
		$article['description'] = cmsCore::request('description', 'html', '');
		$article['description'] = $inDB->escape_string($article['description']);
		$article['content']     = cmsCore::request('content', 'html', '');
		$article['content']    	= $inDB->escape_string($article['content']);

        $article['published']   = cmsCore::request('published', 'int', 0);

        $article['showdate']    = cmsCore::request('showdate', 'int', 0);
        $article['showlatest']  = cmsCore::request('showlatest', 'int', 0);
        $article['showpath']    = cmsCore::request('showpath', 'int', 0);
        $article['comments']    = cmsCore::request('comments', 'int', 0);
        $article['canrate']     = cmsCore::request('canrate', 'int', 0);

		$enddate                = explode('.', cmsCore::request('enddate', 'str'));
		$article['enddate']     = $enddate[2] . '-' . $enddate[1] . '-' . $enddate[0];
        $article['is_end']      = cmsCore::request('is_end', 'int', 0);
        $article['pagetitle']   = cmsCore::request('pagetitle', 'str', '');

        $article['tags']        = cmsCore::request('tags', 'str');

        $article['pubdate']     = $_REQUEST['pubdate'];
        $date                   = explode('.', $article['pubdate']);
		$article['pubdate']     = $date[2] . '-' . $date[1] . '-' . $date[0] . ' ' .date('H:i');

		$article['user_id']     = cmsCore::request('user_id', 'int', $inUser->id);

		$article['tpl'] 		= cmsCore::request('tpl', 'str', 'com_content_read.tpl');

        $autokeys               = cmsCore::request('autokeys', 'int');

        switch($autokeys){
            case 1: $article['meta_keys'] = $inCore->getKeywords($article['content']);
                    $article['meta_desc'] = $article['title'];
                    break;

            case 2: $article['meta_desc'] = strip_tags($article['description']);
                    $article['meta_keys'] = $article['tags'];
                    break;

            case 3: $article['meta_desc'] = cmsCore::request('meta_desc', 'str');
                    $article['meta_keys'] = cmsCore::request('meta_keys', 'str');
                    break;
        }

        // dev: maxiSoft / begin / 11.0.2015 11:0:33 / Источник материала
        $article['source_type']		= cmsCore::request('source_type','str','');
        $article['source_title'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('source_title','str',''));
        $article['source_link'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('source_link','str',''));
        // dev: maxiSoft / end / 11.0.2015 11:0:54 / Источник материала

        // dev: maxiSoft / begin / 11.1.2015 11:1:20 / Автор фото
        $article['photo_user_id'] 	= cmsCore::request('photo_user_id','int',0);
        $article['photo_author'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('photo_author','str',''));
        $article['photo_link'] 		= cmsDatabase::getInstance()->escape_string(cmsCore::request('photo_link','str',''));
        $article['photo_title'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('photo_title','str',''));
        // dev: maxiSoft / end / 11.1.2015 11:1:30 / Автор фото

        // dev: maxiSoft / begin / 11.1.2015 11:1:46 / Автор материала
        $article['content_author'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('content_author','str',''));
        $article['content_link'] 	= cmsDatabase::getInstance()->escape_string(cmsCore::request('content_link','str',''));
        // dev: maxiSoft / end / 11.2.2015 11:2:0 / Автор материала

        $article['id'] = $model->addArticle($article);

		if (!cmsCore::request('is_public', 'int', 0)){
			$showfor = $_REQUEST['showfor'];
			if (sizeof($showfor)>0  && !cmsCore::request('is_public', 'int', 0)){
				cmsCore::setAccess($article['id'], $showfor, 'material');
            }
		}

        $inmenu = cmsCore::request('createmenu', 'str', '');

		if ($inmenu){
			createMenuItem($inmenu, $article['id'], $article['title']);
		}

		// Загружаем класс загрузки фото
		cmsCore::loadClass('upload_photo');
		$inUploadPhoto = cmsUploadPhoto::getInstance();
		// Выставляем конфигурационные параметры
		$inUploadPhoto->upload_dir    = PATH.'/upload/content/';
		$inUploadPhoto->small_size_w  = $model->config['img_small_w'];
		$inUploadPhoto->medium_size_w = $model->config['img_big_w'];
		$inUploadPhoto->thumbsqr      = $model->config['img_sqr'];
		$inUploadPhoto->is_watermark  = $model->config['watermark'];
		$inUploadPhoto->input_name    = 'picture';
		$inUploadPhoto->filename      = 'article'.$article['id'].'.jpg';
		// Процесс загрузки фото
		$inUploadPhoto->uploadPhoto();

		cmsCore::addSessionMessage($_LANG['AD_ARTICLE_ADD'], 'success');

		cmsCore::redirect('?view=tree&cat_id='.$article['category_id']);

	}

   if ($do == 'add' || $do == 'edit'){

	   	require('../includes/jwtabs.php');
		$GLOBALS['cp_page_head'][] = jwHeader();

 		$toolmenu = array();
		$toolmenu[0]['icon'] = 'save.gif';
		$toolmenu[0]['title'] = $_LANG['SAVE'];
		$toolmenu[0]['link'] = 'javascript:document.addform.submit();';

		$toolmenu[1]['icon'] = 'cancel.gif';
		$toolmenu[1]['title'] = $_LANG['CANCEL'];
		$toolmenu[1]['link'] = 'javascript:history.go(-1);';

		cpToolMenu($toolmenu);
        $menu_list = cpGetList('menu');

		if($do=='add'){
			 echo '<h3>'.$_LANG['AD_CREATE_ARTICLE'].'</h3>';
 	 		 cpAddPathway($_LANG['AD_CREATE_ARTICLE'], 'index.php?view=content&do=add');
			 if(!empty($_REQUEST['to'])){$mod['category_id'] = (int)$_REQUEST['to'];}
			 $mod['showpath'] = 1;
			 $mod['tpl'] = 'com_content_read.tpl';
			 $mod['canrate'] = $model->config['rating'];
		}else{
			if(!empty($_REQUEST['item'])){
				$_SESSION['editlist'] = $_REQUEST['item'];
			}

			 $residue = '';

			 if (!empty($_SESSION['editlist'])){
				$id = array_shift($_SESSION['editlist']);
				if (sizeof($_SESSION['editlist'])==0) { unset($_SESSION['editlist']); } else
				{ $residue = '('.$_LANG['AD_NEXT_IN'].sizeof($_SESSION['editlist']).')'; }
			 } else { $id = (int)$_REQUEST['id']; }

			 $sql = "SELECT *, (TO_DAYS(enddate) - TO_DAYS(CURDATE())) as daysleft, DATE_FORMAT(pubdate, '%d.%m.%Y') as pubdate, DATE_FORMAT(enddate, '%d.%m.%Y') as enddate
					 FROM cms_content
					 WHERE id = $id LIMIT 1";
			 $result = $inDB->query($sql) ;
			 if ($inDB->num_rows($result)){
				$mod = $inDB->fetch_assoc($result);
			 }

			 echo '<h3>'.$_LANG['AD_EDIT_ARTICLE'].$residue.'</h3>'; 
			 cpAddPathway($mod['title'], 'index.php?view=content&do=edit&id='.$mod['id']);
		}
	?>

<form id="addform" name="addform" method="post" action="index.php" enctype="multipart/form-data">
	<input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>"> 
	<input type="hidden" name="view" value="content">

	<table class="adminbody">
		<tr>
			<!-- главная ячейка -->
			<td class="mainlist">
				<table>
					<tr>
						<td>
							<div class="tabtitle">
								<?php echo $_LANG['AD_ARTICLE_NAME']; ?> <?php printLangPanel('content_content', @$mod['id'], 'title'); ?>
							</div>
							<input class="fullsize" name="title" type="text" id="title" value="<?php if(!empty($mod['title'])){ echo htmlspecialchars($mod['title']); } ?>">
						</td>
						<td style="width:110px">
							<div class="tabtitle"> <?php echo $_LANG['AD_PUBLIC_DATE']; ?> </div>
							<input name="pubdate" type="text" id="pubdate" <?php if(@!$mod['pubdate']) { echo 'value="'.date('d.m.Y').'"'; } else { echo 'value="'.$mod['pubdate'].'"'; } ?> >
							<input type="hidden" name="olddate" value="<?php echo @$mod['pubdate']?>">
						</td>
					</tr>
				</table>
				<div class="tabtitle">
					<?php echo $_LANG['AD_ARTICLE_NOTICE']; ?> <?php printLangPanel('content_content', @$mod['id'], 'description'); ?>
				</div>
				<div class="fielddown">
					<?php if(empty($mod['description'])){$mod['description'] = '';} $inCore->insertEditor('description', $mod['description'], '200', '100%', 'truncated'); ?>
				</div>

				<div class="tabtitle">
					<?php echo $_LANG['AD_ARTICLE_TEXT']; ?> <?php printLangPanel('content_content', @$mod['id'], 'content'); ?>
				</div>
				
				<?php insertPanel(); ?>

				<div>
					<?php if(empty($mod['content'])){$mod['content'] = '';} $inCore->insertEditor('content', $mod['content'], '400', '100%', 'full'); ?>
				</div>
				
				<div class="tabtitle"> <?php echo $_LANG['AD_ARTICLE_TAGS']; ?> </div>
				<input class="fullsize" name="tags" type="text" id="tags" value="<?php if (!empty($mod['id'])) { echo cmsTagLine('content', $mod['id'], false); } ?> ">

				<div class="fieldtop">
					<input class="checklist" type="radio" name="autokeys" id="autokeys1" <?php if ($do=='add' && $cfg['autokeys']){ ?> checked="checked" <?php } ?> value="1">
					<label for="autokeys1"> <?php echo $_LANG['AD_AUTO_GEN_KEY']; ?> </label>
				</div>
				<div>
					<input class="checklist" type="radio" name="autokeys" id="autokeys2" value="2">
					<label for="autokeys2"> <?php echo $_LANG['AD_TAGS_AS_KEY']; ?>  </label>
				</dIV>
				<div>
					<input class="checklist" type="radio" name="autokeys" id="autokeys3" value="3" <?php if ($do=='edit' || !$cfg['autokeys']){ ?> checked="checked" <?php } ?>>
					<label for="autokeys3"> <?php echo $_LANG['AD_MANUAL_KEY'] ; ?> </label>
				</div>

				<?php if (!empty($cfg['af_on']) && $do=='add') { ?>
					<input type="checkbox" name="noforum" id="noforum" value="1">
					<label for="noforum"> <?php echo $_LANG['AD_NO_CREATE_THEME']; ?> </label>
				<?php } ?>
			</td>
			
			<!-- боковая ячейка -->
			<td class="greytabs">
				<?php ob_start(); ?>
				{tab= <?php echo $_LANG['AD_TAB_PUBLISH']; ?> }
					<div>
						<input class="checklist" type="checkbox" name="published" id="published" value="1" <?php if( !empty($mod['published']) || $do=='add'){ echo 'checked="checked"'; } ?>>
						<label for="published"> <?php echo $_LANG['AD_PUBLIC_ARTICLE']; ?> </label>
					</div>

					<div class="selectbox">
						<select name="category_id" id="category_id" size="12">
							<option value="1" <?php if (@$mod['category_id']==1 || empty($mod['category_id'])) { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_ROOT_CATEGORY'] ; ?> </option>
							<?php if (!empty($mod['category_id'])){
								echo $inCore->getListItemsNS('cms_category', $mod['category_id']);
							} else {
								echo $inCore->getListItemsNS('cms_category');
							} ?>
						</select>
					</div>

					<div class="tabtitle"> <?php echo $_LANG['AD_ARTICLE_AUTHOR']; ?> </div>

					<!-- dev: maxiSoft / begin / 11.04.2015 11:44:16 / Автор материала -->

					<select name="user_id" id="user_id">
						<?php if (isset($mod['user_id']) && $mod['user_id'] < 0) { ?>
							<option value="-1" selected > <?php  if(!empty($mod['content_author'])) {echo $_LANG['AD_CONTENT_AUTHOR_NO_USER']; } ?> </option>
							<?php echo $inCore->getListItems('cms_users', 0, 'nickname', 'ASC', 'is_deleted=0 AND is_locked=0', 'id', 'nickname');
						} else { ?>
							<option value="-1"> <?php echo $_LANG['AD_CONTENT_AUTHOR_NO_USER']; ?> </option>
							<?php echo $inCore->getListItems('cms_users', $inUser->id, 'nickname', 'ASC', 'is_deleted=0 AND is_locked=0', 'id', 'nickname');
						} ?>
					</select>
					<script>
						$('#user_id').on('change',function(e){
							var val = $(this).val();
							if (val<0) {
								$('.content_author').show().removeClass('hidden');
								$('#content_author').val('');
								$('#content_link').val('');
							} else {
								$('.content_author').hide().addClass('hidden');
								$('#content_author').val('');
								$('#content_link').val('');
							}
						});
					</script>
					<style>.content_author.hidden{display:none;}</style>

					<div class="content_author <?php if((isset($mod['user_id']) && (int)$mod['user_id'] >0 ) || $do == 'add'){echo 'hidden';} ?>">
					
						<div class="tabtitle"> <?php echo $_LANG['AD_CONTENT_NICKNAME']; ?> </div>
						<input class="fullsize" name="content_author" type="text" id="content_author" value="<?php if(!empty($mod['content_author'])){ echo $mod['content_author']; } ?>">

						<div class="tabtitle"> <?php echo $_LANG['AD_CONTENT_LINK']; ?> </div>
						<input class="fullsize" name="content_link" type="text" id="content_link" value="<?php if(!empty($mod['content_link'])){ echo htmlspecialchars($mod['content_link']); } ?>">
					</div>
					<!-- dev: maxiSoft / end / 11.04.2015 11:45:01 / Автор материала -->

					<!-- dev: maxiSoft / begin / 11.04.2015 11:47:05 / Источник материала -->
					<div class="tabtitle"> <?php echo $_LANG['AD_SOURCE_TYPE'];?> </div>
					
					<select name="source_type" id="source_type">
						<option value=""> <?php echo $_LANG['AD_SOURCE_TYPE_SELECT'];?> </option>
						<option <?php if (isset($mod['source_type']) && $mod['source_type'] == $_LANG['AD_SOURCE_TYPE_SOURCE']){ echo 'selected';} ?> value="<?php echo $_LANG['AD_SOURCE_TYPE_SOURCE']; ?>"> <?php echo $_LANG['AD_SOURCE_TYPE_SOURCE']; ?> </option>
						<option <?php if (isset($mod['source_type']) &&$mod['source_type'] == $_LANG['AD_SOURCE_TYPE_ORIGINAL']){ echo 'selected';} ?> value="<?php echo $_LANG['AD_SOURCE_TYPE_ORIGINAL']; ?>"> <?php echo $_LANG['AD_SOURCE_TYPE_ORIGINAL']; ?> </option>
						<option <?php if (isset($mod['source_type']) &&$mod['source_type'] == $_LANG['AD_SOURCE_TYPE_MATERIAL']){ echo 'selected';} ?> value="<?php echo $_LANG['AD_SOURCE_TYPE_MATERIAL']; ?>"> <?php echo $_LANG['AD_SOURCE_TYPE_MATERIAL']; ?> </option>
						<option <?php if (isset($mod['source_type']) &&$mod['source_type'] == $_LANG['AD_SOURCE_TYPE_LINK']){ echo 'selected';} ?> value="<?php echo $_LANG['AD_SOURCE_TYPE_LINK']; ?>"> <?php echo $_LANG['AD_SOURCE_TYPE_LINK']; ?> </option>
						<option <?php if (isset($mod['source_type']) &&$mod['source_type'] == $_LANG['AD_SOURCE_TYPE_FULL']){ echo 'selected';} ?> value="<?php echo $_LANG['AD_SOURCE_TYPE_FULL']; ?>"> <?php echo $_LANG['AD_SOURCE_TYPE_FULL']; ?> </option>
					</select>

					<div class="tabtitle"> <?php echo $_LANG['AD_SOURCE_TITLE']; ?> </div>
					<input class="fullsize" name="source_title" type="text" id="source_title" value="<?php if(!empty($mod['source_title'])) { echo htmlspecialchars($mod['source_title']); } ?>">
					
					<div class="tabtitle"> <?php echo $_LANG['AD_SOURCE_LINK']; ?> </div>
					<input class="fullsize" name="source_link" type="text" id="source_link" value="<?php if(!empty($mod['source_link'])){ echo htmlspecialchars($mod['source_link']); } ?>">
					<!-- dev: maxiSoft / end / 11.04.2015 11:47:28 / Источник материала -->

					<div class="tabtitle"> <?php echo $_LANG['AD_PUBLIC_PARAMETRS']; ?> </div>
					<div>
						<input class="checklist" type="checkbox" name="showtitle" title="<?php echo $_LANG['AD_VIEW_TITLE']; ?>" <?php if( (!empty($mod['showtitle']) AND $mod['showtitle']) || $do=='add'){ echo 'checked="checked"'; } ?> value="1">
						<label for="showlatest"> <?php echo $_LANG['AD_VIEW_ARTICLES_TITLES']; ?> </label>
					</div>
					<div>
						<input class="checklist" type="checkbox" name="showdate" id="showdate" title="<?php echo $_LANG['AD_VIEW_DATE_AND_AUTHOR']; ?>" value="1" <?php if( !empty($mod['showdate']) || $do=='add'){ echo 'checked="checked"'; } ?> >
						<label for="showlatest"> <?php echo $_LANG['AD_VIEW_ARTICLES_DATE']; ?> </label>
					</div>
					<div>
						<input class="checklist" type="checkbox" name="showlatest" id="showlatest" value="1" <?php if( !empty($mod['showlatest']) || $do=='add'){ echo 'checked="checked"'; } ?> >
						<label for="showlatest"> <?php echo $_LANG['AD_VIEW_NEW_ARTICLES']; ?> </label>
					</div>
					<div>
						<input class="checklist" type="checkbox" name="comments" id="comments" value="1" <?php if(!empty($mod['comments']) || $do=='add'){ echo 'checked="checked"'; } ?> >
						<label for="comments"> <?php echo $_LANG['AD_ENABLE_COMMENTS']; ?> </label>
					</div>
					<div>
						<input class="checklist" type="checkbox" name="canrate" id="canrate" value="1" <?php if(!empty($mod['canrate']) ){ echo 'checked="checked"'; } ?> >
						<label for="canrate"> <?php echo $_LANG['AD_ENABLE_RATING']; ?> </label>
					</div>
					<hr class="hrgrey">
					<div class="tabtitle"> <?php echo $_LANG['AD_ARTICLE_TEMPLATE']; ?> </div>
					<input class="fullsize" name="tpl" type="text" value="<?php echo @$mod['tpl']; ?>">
					

				{tab=<?php echo $_LANG['AD_PHOTOS'];?>}
					<div class="tabtitle"> <?php echo $_LANG['AD_PHOTO']; ?> </div>
					<div class="fielddown">
						<?php if ($do=='edit'){ 
							if (file_exists(PATH.'/upload/content/small/article'.$mod['id'].'.jpg')){ ?>
								<img class="imgborder" src="/upload/content/small/article<?php echo $id; ?>.jpg" alt="">
								<input class="checklist" type="checkbox" id="delete_image" name="delete_image" value="1">
								<label for="delete_image"><?php echo $_LANG['AD_PHOTO_REMOVE']; ?></label>
							<?php }
						} ?>
					</div>

					<input type="file" name="picture">
					
					<div class="tabtitle"> <?php echo $_LANG['AD_PHOTO_TITLE']; ?> </div>
					<div>
						<input class="fullsize" name="photo_title" type="text" id="photo_title" value="<?php if (!empty($mod['photo_title'])) { echo htmlspecialchars($mod['photo_title']); } ?>">
					</div>
					
					<div class="tabtitle"> <?php echo $_LANG['AD_PHOTO_AUTHOR']; ?> </div>

					<select name="photo_user_id" id="photo_user_id">
						<option value="0"> <?php echo $_LANG['AD_PHOTO_AUTHOR_USER']; ?> </option>
						<?php if (empty($mod['photo_user_id']) || $do == 'add') { 
							echo $inCore->getListItems('cms_users', $inUser->id, 'nickname', 'ASC', 'is_deleted=0 AND is_locked=0', 'id', 'nickname');						
						} else {
							echo $inCore->getListItems('cms_users', 0, 'nickname', 'ASC', 'is_deleted=0 AND is_locked=0', 'id', 'nickname');
						} ?>
					</select>
					<script> 
						$('#photo_user_id').on('change',function(e){
							var val = $(this).val();
							if (val==0) {
								$('.source_photo').removeClass('hidden');
								$('#photo_author').val('');
								$('#photo_link').val('');
							} else {
								$('.source_photo').addClass('hidden');
								$('#photo_author').val('');
								$('#photo_link').val('');
							}
						});
					</script>
					<style>.source_photo.hidden{display:none;}</style>
					
					<div class="source_photo <?php if((isset($mod['photo_user_id']) && (int)$mod['photo_user_id'] == 0 ) || $do == 'add'){echo 'hidden';}?>">
						<div class="tabtitle"> <?php echo $_LANG['AD_PHOTO_NICKNAME']; ?> </div>
						<input class="fullsize" name="photo_author" type="text" id="photo_author" value="<?php if (!empty($mod['photo_author'])) { echo htmlspecialchars($mod['photo_author']); } ?> ">

						<div class="tabtitle"> <?php echo $_LANG['AD_PHOTO_LINK']; ?> </div>
						<input class="fullsize" name="photo_link" type="text" id="photo_link" value="<?php if (!empty($mod['photo_link'])) { echo htmlspecialchars($mod['photo_link']); } ?> ">
					</div>
					
				{tab=SEO}
					<div class="tabtitle">
						<?php echo $_LANG['AD_PAGE_TITLE']; ?> <?php printLangPanel('content_content', @$mod['id'], 'pagetitle'); ?> <br>
						<span class="hinttext"> <?php echo $_LANG['AD_IF_UNKNOWN_PAGETITLE']; ?> </span>
					</div>

					<input class="fullsize" name="pagetitle" type="text" id="pagetitle" value="<?php if (!empty($mod['pagetitle'])) { echo htmlspecialchars($mod['pagetitle']); } ?> ">

					<div class="tabtitle">
						<?php echo $_LANG['AD_ARTICLE_URL']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_IF_UNKNOWN']; ?> </span>
					</div>
					
					<input class="fullsize" type="text" name="url" value="<?php if(!empty($mod['url'])){ echo $mod['url']; } ?>">
					<label>.html</label>
					
					<div class="tabtitle">
						<?php echo $_LANG['KEYWORDS']; ?> <?php printLangPanel('content_content', @$mod['id'], 'meta_keys'); ?> <br>
						<span class="hinttext"> <?php echo $_LANG['AD_FROM_COMMA']; ?> </span>
					</div>

					<div>
                         <textarea name="meta_keys" rows="4" id="meta_keys"><?php if(!empty($mod['meta_keys'])){ echo htmlspecialchars($mod['meta_keys']); } ?></textarea>
					</div>
					
					<div class="tabtitle">
						<?php echo $_LANG['DESCRIPTION']; ?> <?php printLangPanel('content_content', @$mod['id'], 'meta_desc'); ?> <br>
						<span class="hinttext"> <?php echo $_LANG['AD_LESS_THAN']; ?> </span>
					</div>
					
					<div>
						<textarea name="meta_desc" rows="6" id="meta_desc"><?php if(!empty($mod['meta_desc'])){ echo htmlspecialchars($mod['meta_desc']); } ?></textarea>
					</div>

				{tab= <?php echo $_LANG['AD_TAB_OPTIONS']; ?> }
					<div class="tabtitle"> <?php echo $_LANG['AD_ARTICLE_TIME']; ?> </div>

					<select name="is_end" id="is_end" onchange="if($(this).val() == 1){ $('#final_time').show(); }else {$('#final_time').hide();}">
						<option value="0" <?php if ( empty($mod['is_end'])) { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_UNLIMITED']; ?> </option>
						<option value="1" <?php if (!empty($mod['is_end'])) { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_TO_FINAL_TIME']; ?> </option>
					</select>

					<div id="final_time" <?php if (@!$mod['is_end']) { echo 'style="display: none"'; } ?> >
						<div class="tabtitle">
							<?php echo $_LANG['AD_FINAL_TIME']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_CALENDAR_FORMAT']; ?> </span>
						</div>
						<input name="enddate" type="text" <?php if(@!$mod['is_end']) { echo 'value="'.date('d.m.Y').'"'; } else { echo 'value="'.$mod['enddate'].'"'; } ?> id="enddate">
					</div>
					
					<div class="tabtitle"> <?php echo $_LANG['AD_PATHWAYLIST']; ?> </div>
					<select name="showpath" id="showpath">
						<option value="0" <?php if (@!$mod['showpath']) { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_PATHWAY_NAME_ONLY']; ?> </option>
						<option value="1" <?php if (@$mod['showpath']) { echo 'selected="selected"'; } ?> > <?php echo $_LANG['AD_PATHWAY_FULL']; ?> </option>
					</select>
					
					<div>
					<?php if ($do=='add'){ ?>
						<div class="tabtitle"> <?php echo $_LANG['AD_CREATE_LINK']; ?> </div>
						<select name="createmenu" id="createmenu">
							<option value="0" selected="selected"> <?php echo $_LANG['AD_DONT_CREATE_LINK']; ?> </option>
							<?php foreach ($menu_list as $menu) { ?>
								<option value="<?php echo $menu['id']; ?>"> <?php echo $menu['title']; ?> </option>
							<?php } ?>
						</select>
					<?php } ?>
					</div>

					<div class="tabtitle"> <?php echo $_LANG['AD_WHO_CAN_VIEW']; ?> </div>
					<div>
						<?php $sql    = "SELECT * FROM cms_user_groups";
						$result = $inDB->query($sql) ;
						$style  = 'disabled="disabled"';
						$public = 'checked="checked"';
						
						if ($do == 'edit'){
							$sql2 = "SELECT * FROM cms_content_access WHERE content_id = ".$mod['id']." AND content_type = 'material'";
							$result2 = $inDB->query($sql2);
							$ord = array();
							
							if ($inDB->num_rows($result2)){
								$public = '';
								$style = '';
								while ($r = $inDB->fetch_assoc($result2)){
									$ord[] = $r['group_id'];
								}
							}
						} ?>
						
						<input class="checklist" name="is_public" type="checkbox" id="is_public" onclick="checkGroupList()" value="1" <?php echo $public ?> >
						<label for="is_public"> <?php echo $_LANG['AD_SHARE']; ?> </label>
					</div>
					<span class="hinttext"> <?php echo $_LANG['AD_IF_NOTED']; ?> </span>

                    <div id="grp">
                        <div class="tabtitle">
							<?php echo $_LANG['AD_GROUPS_VIEW']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_SELECT_MULTIPLE_CTRL']; ?> </span>
						</div>
                        <div>
                            <?php
                                echo '<select name="showfor[]" id="showin" size="6" multiple="multiple" '.$style.'>';

                                if ($inDB->num_rows($result)){
                                    while ($item = $inDB->fetch_assoc($result)){
                                        echo '<option value="'.$item['id'].'"';
                                        if ($do=='edit'){
                                            if (inArray($ord, $item['id'])){
                                                echo 'selected="selected"';
                                            }
                                        }

                                        echo '>';
                                        echo $item['title'].'</option>';
                                    }
                                }

                                echo '</select>';
                            ?>
                        </div>
                    </div>
				{/tabs}
				
				<?php echo jwTabs(ob_get_clean()); ?>
			</td>
		</tr>
	</table>
	
	<p>
		<input name="add_mod" type="submit" id="add_mod" <?php if ($do=='add') { echo 'value="'.$_LANG['AD_CREATE_CONTENT'].'"'; } else { echo 'value="'.$_LANG['AD_SAVE_CONTENT'].'"'; } ?> >
		<input name="back" type="button" class="greenpush" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.history.back();">
		<input name="do" type="hidden" id="do" <?php if ($do=='add') { echo 'value="submit"'; } else { echo 'value="update"'; } ?> >
		<?php if ($do=='edit'){ echo '<input name="id" type="hidden" value="'.$mod['id'].'">'; } ?>
	</p>
</form>

<?php }
} ?>