<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

if(!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }

function uploadCategoryIcon($file='') {

    cmsCore::loadClass('upload_photo');
    $inUploadPhoto = cmsUploadPhoto::getInstance();
    $inUploadPhoto->upload_dir    = PATH.'/upload/forum/';
    $inUploadPhoto->dir_medium    = 'cat_icons/';
    $inUploadPhoto->medium_size_w = 32;
    $inUploadPhoto->medium_size_h = 32;
    $inUploadPhoto->only_medium   = true;
    $inUploadPhoto->is_watermark  = false;
    $files = $inUploadPhoto->uploadPhoto($file);
    $icon = $files['filename'] ? $files['filename'] : $file;
    return $icon;

}

define('IS_BILLING', $inCore->isComponentInstalled('billing'));
if (IS_BILLING) { cmsCore::loadClass('billing'); }

$opt = cmsCore::request('opt', 'str', 'list_forums');

cmsCore::loadModel('forum');
$model = new cms_model_forum();

$cfg = $model->config;

if ($opt=='list_forums' || $opt=='list_cats' || $opt=='config'){

    $toolmenu[] = array('icon'=>'newfolder.gif', 'title'=>$_LANG['AD_CREATE_CATEGORY'], 'link'=>'?view=components&do=config&id='.$id.'&opt=add_cat');
    $toolmenu[] = array('icon'=>'newforum.gif', 'title'=>$_LANG['AD_FORUM_NEW'], 'link'=>'?view=components&do=config&id='.$id.'&opt=add_forum');
    $toolmenu[] = array('icon'=>'folders.gif', 'title'=>$_LANG['AD_FORUMS_CATS'], 'link'=>'?view=components&do=config&id='.$id.'&opt=list_cats');
    $toolmenu[] = array('icon'=>'listforums.gif', 'title'=>$_LANG['AD_FORUMS'], 'link'=>'?view=components&do=config&id='.$id.'&opt=list_forums');
    $toolmenu[] = array('icon'=>'ranks.gif', 'title'=>$_LANG['AD_RANKS_FORUM'], 'link'=>'?view=components&do=config&id='.$id.'&opt=list_ranks');
    if($opt=='list_forums'){

        $toolmenu[] = array('icon'=>'edit.gif', 'title'=>$_LANG['AD_EDIT_SELECTED'], 'link'=>"javascript:checkSel('?view=components&do=config&id=".$id."&opt=edit_forum&multiple=1');");
        $toolmenu[] = array('icon'=>'show.gif', 'title'=>$_LANG['AD_ALLOW_SELECTED'], 'link'=>"javascript:checkSel('?view=components&do=config&id=".$id."&opt=show_forum&multiple=1');");
        $toolmenu[] = array('icon'=>'hide.gif', 'title'=>$_LANG['AD_DISALLOW_SELECTED'], 'link'=>"javascript:checkSel('?view=components&do=config&id=".$id."&opt=hide_forum&multiple=1');");

    }
    $toolmenu[] = array('icon'=>'config.gif', 'title'=>$_LANG['AD_SETTINGS'], 'link'=>'?view=components&do=config&id='.$id.'&opt=config');

} else {

    $toolmenu[] = array('icon'=>'save.gif', 'title'=>$_LANG['SAVE'], 'link'=>'javascript:document.addform.submit();');
    $toolmenu[] = array('icon'=>'cancel.gif', 'title'=>$_LANG['CANCEL'], 'link'=>'?view=components&do=config&id='.$id);

}

cpToolMenu($toolmenu);

if ($opt=='saveconfig'){

    if (!cmsUser::checkCsrfToken()) { cmsCore::error404(); }

    $cfg['is_rss']      = cmsCore::request('is_rss', 'int', 1);
    $cfg['pp_thread']   = cmsCore::request('pp_thread', 'int', 15);
    $cfg['pp_forum']    = cmsCore::request('pp_forum', 'int', 15);
    $cfg['showimg']     = cmsCore::request('showimg', 'int', 1);
    $cfg['img_on']      = cmsCore::request('img_on', 'int', 1);
    $cfg['img_max']     = cmsCore::request('img_max', 'int', 1);
    $cfg['fast_on']     = cmsCore::request('fast_on', 'int', 1);
    $cfg['fast_bb']     = cmsCore::request('fast_bb', 'int', 1);
    $cfg['fa_on']       = cmsCore::request('fa_on', 'int');
    $cfg['fa_max']      = cmsCore::request('fa_max', 'int');
    $cfg['fa_ext']      = cmsCore::request('fa_ext', 'str');

    while (mb_strpos($cfg['fa_ext'], 'htm') ||
           mb_strpos($cfg['fa_ext'], 'php') ||
           mb_strpos($cfg['fa_ext'], 'ht')) {
        $cfg['fa_ext']  = str_replace(array('htm','php','ht'), '', mb_strtolower($cfg['fa_ext']));
    }
    $cfg['fa_size']       = cmsCore::request('fa_size', 'int');
    $cfg['edit_minutes']  = cmsCore::request('edit_minutes', 'int');
    $cfg['watermark']     = cmsCore::request('watermark', 'int');
    $cfg['min_karma_add'] = cmsCore::request('min_karma_add', 'int', 0);

    $cfg['meta_keys'] = cmsCore::request('meta_keys', 'str', '');
    $cfg['meta_desc'] = cmsCore::request('meta_desc', 'str', '');

    $is_access = cmsCore::request('is_access', 'int', '');
    if (!$is_access){
        $cfg['group_access'] = cmsCore::request('allow_group', 'array_int', '');
    } else { $cfg['group_access'] = ''; }

    $inCore->saveComponentConfig('forum', $cfg);

    cmsCore::addSessionMessage($_LANG['AD_CONFIG_SAVE_SUCCESS'], 'info');

    cmsCore::redirectBack();

}

if ($opt=='saveranks'){

    if (!cmsUser::checkCsrfToken()) { cmsCore::error404(); }

    $ranks = cmsCore::request('rank', 'array_str', array());
    $cfg['modrank'] = cmsCore::request('modrank', 'int');

    foreach ($ranks as $key => $row) {
        $msg[$key]  = $row['msg'];
    }
    array_multisort($msg, SORT_ASC, $ranks); $num = 1; $cfg['ranks'] = array();
    foreach ($ranks as $key=>$row) {
        if(!$row['msg'] || !$row['title']){
            unset($ranks[$key]); continue;
        }
        $cfg['ranks'][$num] = $row; $num++;
    }

    $inCore->saveComponentConfig('forum', $cfg);

    cmsCore::addSessionMessage($_LANG['AD_DO_SUCCESS'], 'info');

    cmsCore::redirectBack();

}

if ($opt == 'show_forum'){
    if (!isset($_REQUEST['item'])){
        if (isset($_REQUEST['item_id'])){ dbShow('cms_forums', cmsCore::request('item_id', 'int', 0));  }
        echo '1'; exit;
    } else {
        dbShowList('cms_forums', cmsCore::request('item', 'array_int', 0));
        cmsCore::redirectBack();
    }
}

if ($opt == 'hide_forum'){
    if (!isset($_REQUEST['item'])){
        if (isset($_REQUEST['item_id'])){ dbHide('cms_forums', cmsCore::request('item_id', 'int', 0));  }
        echo '1'; exit;
    } else {
        dbHideList('cms_forums', cmsCore::request('item', 'array_int', 0));
        cmsCore::redirectBack();
    }
}

if ($opt == 'submit_forum'){

    if (!cmsUser::checkCsrfToken()) { cmsCore::error404(); }

    $category_id = cmsCore::request('category_id', 'int');
    $title       = cmsCore::request('title', 'str', 'NO_TITLE');
    $published   = cmsCore::request('published', 'int');
    $parent_id   = cmsCore::request('parent_id', 'int');
    $description = cmsCore::request('description', 'str');
    $topic_cost  = cmsCore::request('topic_cost', 'int', 0);
    $moder_list  = cmsCore::request('moder_list', 'array_int', array());
    $moder_list  = $moder_list ? cmsCore::arrayToYaml($moder_list) : '';

    $is_access = cmsCore::request('is_access', 'int', '');
    if (!$is_access){
        $access_list = cmsCore::request('access_list', 'array_int');
        $group_access = $access_list ? cmsCore::arrayToYaml($access_list) : '';
    } else {
        $group_access = '';
    }

    $icon = uploadCategoryIcon();

    $inDB->addNsCategory('cms_forums', array('category_id' => $category_id,
        'parent_id'   => $parent_id,
        'title'       => $title,
        'description' => $description,
        'access_list' => $group_access,
        'moder_list'  => $moder_list,
        'published'   => $published,
        'icon'        => $icon,
        'pagetitle'   => cmsCore::request('pagetitle', 'str', ''),
        'meta_keys'   => cmsCore::request('meta_keys', 'str', ''),
        'meta_desc'   => cmsCore::request('meta_desc', 'str', ''),
        'topic_cost'  => $topic_cost)
    );

    cmsCore::addSessionMessage($_LANG['AD_DO_SUCCESS'], 'info');

    cmsCore::redirect('?view=components&do=config&opt=list_forums&id='.$id);

}

if ($opt == 'update_forum'){

    if (!cmsUser::checkCsrfToken()) { cmsCore::error404(); }

    $item_id     = cmsCore::request('item_id', 'int');
    $category_id = cmsCore::request('category_id', 'int');
    $title       = cmsCore::request('title', 'str', 'NO_TITLE');
    $pagetitle   = cmsCore::request('pagetitle', 'str', '');
    $meta_keys   = cmsCore::request('meta_keys', 'str', '');
    $meta_desc   = cmsCore::request('meta_desc', 'str', '');
    $published   = cmsCore::request('published', 'int');
    $parent_id   = cmsCore::request('parent_id', 'int');
    $description = cmsCore::request('description', 'str');
    $topic_cost  = cmsCore::request('topic_cost', 'int', 0);
    $moder_list  = cmsCore::request('moder_list', 'array_int', array());
    $moder_list  = $moder_list ? cmsCore::arrayToYaml($moder_list) : '';

    $is_access = cmsCore::request('is_access', 'int', '');
    if (!$is_access){
        $access_list = cmsCore::request('access_list', 'array_int');
        $group_access = $access_list ? cmsCore::arrayToYaml($access_list) : '';
        $inDB->query("UPDATE cms_forum_threads SET is_hidden = 1 WHERE forum_id = '$item_id'");
    } else {
        $group_access = '';
        $inDB->query("UPDATE cms_forum_threads SET is_hidden = 0 WHERE forum_id = '$item_id'");
    }

    $ns = $inCore->nestedSetsInit('cms_forums');
    $old = $inDB->get_fields('cms_forums', "id='$item_id'", '*');

    $icon = uploadCategoryIcon($old['icon']);

    if($parent_id != $old['parent_id']){
        $ns->MoveNode($item_id, $parent_id);
    }

    $sql = "UPDATE cms_forums
            SET category_id=$category_id,
                title='$title',
                description='$description',
                access_list='$group_access',
                moder_list='$moder_list',
                published=$published,
                icon='$icon',
                topic_cost='$topic_cost',
                pagetitle = '$pagetitle',
                meta_keys = '$meta_keys',
                meta_desc = '$meta_desc'
            WHERE id = '$item_id'
            LIMIT 1";

    $inDB->query($sql);

    cmsCore::addSessionMessage($_LANG['AD_DO_SUCCESS'], 'info');

    if (empty($_SESSION['editlist'])){
        cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=list_forums');
    } else {
        cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=edit_forum');
    }
}

if($opt == 'delete_forum'){

    $forum = $model->getForum(cmsCore::request('item_id', 'int'));
    if(!$forum){ cmsCore::error404(); }

    $inDB->addJoin('INNER JOIN cms_forums f ON f.id = t.forum_id');
    $model->whereThisAndNestedForum($forum['NSLeft'], $forum['NSRight']);

    $threads = $model->getThreads();

    foreach ($threads as $thread) {
        $model->deleteThread($thread['id']);
    }

    $inDB->deleteNS('cms_forums', $forum['id']);
    if(file_exists(PATH.'/upload/forum/cat_icons/'.$forum['icon'])){
        @chmod(PATH.'/upload/forum/cat_icons/'.$forum['icon'], 0777);
        @unlink(PATH.'/upload/forum/cat_icons/'.$forum['icon']);
    }

    cmsCore::addSessionMessage($_LANG['AD_FORUM_IS_DELETE'], 'info');

    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=list_forums');

}


if ($opt == 'config') {

    require('../includes/jwtabs.php');
    $GLOBALS['cp_page_head'][] = jwHeader();
    cpAddPathway($_LANG['AD_SETTINGS']);

    ?>
	
	<form action="index.php?view=components&amp;do=config&amp;id=<?php echo $id; ?>" method="post" name="addform" target="_self" id="form1">
		<input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>">

	<!--	<?php ob_start(); ?> -->
		
	<div id="config_tabs" style="margin-top:12px;" class="uitabs">
		<ul id="tabs">
			<li> <a href="#prosmotr"> <?php echo $_LANG['AD_REVIEV']; ?> </a> </li>
			<li> <a href="#pictures"> <?php echo $_LANG['AD_PICTURES']; ?> </a> </li>
			<li> <a href="#investment"> <?php echo $_LANG['AD_INVESTMENTS']; ?> </a></li>
			<li> <a href="#seooptions"> <?php echo 'SEO' ?> </a></li>
			<li> <a href="#limit"> <?php echo $_LANG['AD_LIMIT']; ?> </a></li>
		</ul>

		<div id="prosmotr">
			<table class="adminbody">
				<tr>
					<td colspan="2" class="tdlong"> <?php echo $_LANG['AD_FORUM_REVIEV']; ?> </td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_TOPICS_PER_PAGE']; ?> </td>
					<td class="tdright"> <input class="uispin-min-0" name="pp_forum" type="text" id="pp_forum" value="<?php echo $cfg['pp_forum']; ?>" size="5"> </td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_ICON_RSS']; ?> </td>
					<td class="tdright">
						<label> <input name="is_rss" type="radio" value="1" <?php if ($cfg['is_rss']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="is_rss" type="radio" value="0" <?php if (!$cfg['is_rss']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td colspan="2" class="tdlong"> <?php echo $_LANG['AD_TOPIC_REVIEV']; ?> </td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_POSTS_PER_PAGE']; ?> </td>
					<td class="tdright"> <input class="uispin-min-0" name="pp_thread" type="text" id="pp_thread" value="<?php echo $cfg['pp_thread']; ?>" size="5"> </td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_SHOW_PICCTURES']; ?> </td>
					<td class="tdright">
						<label> <input name="showimg" type="radio" value="1" <?php if ($cfg['showimg']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="showimg" type="radio" value="0" <?php if (!$cfg['showimg']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_FORM_QUICK_RESPONCE']; ?> </td>
					<td class="tdright">
						<label> <input name="fast_on" type="radio" value="1" <?php if ($cfg['fast_on'] || !isset($cfg['fast_on'])) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="fast_on" type="radio" value="0" <?php if (!$cfg['fast_on']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_BBCODE_RENSPONCE']; ?> : </td>
					<td class="tdright">
						<label> <input name="fast_bb" type="radio" value="1" <?php if ($cfg['fast_bb'] || !isset($cfg['fast_bb'])) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="fast_bb" type="radio" value="0" <?php if (!$cfg['fast_bb']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
			</table>
		</div>

		<div id="pictures">
			<table class="adminbody">
				<tr>
					<td colspan="2" class="tdlong"> <?php echo $_LANG['AD_PICTURES_MESS']; ?> </td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_PICTURES_INSERT']; ?> </td>
					<td class="tdright">
						<label> <input name="img_on" type="radio" value="1" <?php if ($cfg['img_on']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="img_on" type="radio" value="0" <?php if (!$cfg['img_on']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_PICTURES_MAX']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_PICTURES_NUMBER']; ?> </span> </td>
					<td class="tdright"> <input class="uispin-min-0" name="img_max" type="text" id="img_max" value="<?php echo $cfg['img_max']; ?>" size="5"> </td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_PICTURES_WATERMARK']; ?> </td>
					<td class="tdright">
						<label> <input name="watermark" type="radio" value="1" <?php if ($cfg['watermark']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="watermark" type="radio" value="0" <?php if (!$cfg['watermark']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
			</table>
		</div>

		<div id="investment">
			<table class="adminbody">
				<tr>
					<td colspan="2" class="tdlong"> <?php echo $_LANG['AD_FILES_ATTACHMENTS']; ?> </td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_FILES_ATTACH']; ?> </td>
					<td class="tdright">
						<label> <input name="fa_on" type="radio" value="1" <?php if ($cfg['fa_on']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
						<label> <input name="fa_on" type="radio" value="0" <?php if (!$cfg['fa_on']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_AVAILABLES_FOR_GROUPS']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_AVAILABLE_GROUPS']; ?> </span> </td>
					<td class="tdright">
						<?php $groups = cmsUser::getGroups();
						$style  = 'disabled="disabled"';
						$public = 'checked="checked"';
						
						if ($cfg['group_access']){
							$public = '';
							$style  = '';
						} ?>

						<div class="tabtitle">
							<input class="checklist" name="is_access" type="checkbox" id="is_access" onclick="checkGroupList()" value="1" <?php echo $public?> >
							<label for="is_access"> <?php echo $_LANG['AD_ALL_GROUPS']; ?> </label> <br>
							<span class="hinttext"> <?php echo $_LANG['AD_ALL_GROUPS_HINT']; ?> </span>
						</div>

						<div class="tabtitle" id="grp">
							<?php echo $_LANG['AD_ALL_GROUPS_ONLY']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_SELECT_MULTIPLE_CTRL']; ?> </span>
						</div>
						<?php echo '<select name="allow_group[]" id="showin" size="6" multiple="multiple" '.$style.'>';
						if ($groups){
							foreach($groups as $group){
								if($group['alias'] != 'guest' && !$group['is_admin']){
									echo '<option value="'.$group['id'].'"';
									if ($cfg['group_access']){
										if (inArray($cfg['group_access'], $group['id'])){
											echo 'selected';
										}
									}
									echo '>';
									echo $group['title'].'</option>';
								}
							}
						}
						echo '</select>'; ?>
						
						<script>
							function checkGroupList(){
								if($('input#is_access').prop('checked')){
									$('select#showin').prop('disabled', true);
								} else {
									$('select#showin').prop('disabled', false);
								}
							}
						</script>
						
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_FILES_MAX']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_FILES_MAX_HINT']; ?> </span> </td>
					<td class="tdright"> <input class="uispin-min-0" name="fa_max" type="text" id="fa_max" value="<?php echo $cfg['fa_max']; ?>" size="5"> </td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_ALLOWED_EXTENSIONS']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_ALLOWED_EXTENSIONS_HINT']; ?> </span> </td>
					<td class="tdright"> <textarea name="fa_ext" cols="35" rows="3" id="fa_ext"><?php echo $cfg['fa_ext']; ?></textarea> </td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_MAX_FILE_SIZE']; ?> </td>
					<td class="tdright"> <input class="uispin-min-0" name="fa_size" type="text" id="fa_size" value="<?php echo $cfg['fa_size']; ?>" size="10"> <?php echo $_LANG['AD_KILOBITE']; ?> </td>
				</tr>
			</table>
		</div>

		<div id="seooptions">
			<div class="adminbody1">
				<div class="tabtitle"> <?php echo $_LANG['AD_ROOT_METAKEYS']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_FROM_COMMA']; ?> </span> </div>
				<textarea name="meta_keys" rows="2"><?php echo $cfg['meta_keys']; ?></textarea>

				<div class="tabtitle"> <?php echo $_LANG['AD_ROOT_METADESC']; ?> <br> <span class="hinttext"> <?php echo $_LANG['SEO_METADESCR_HINT']; ?> </span> </div>
				<textarea name="meta_desc" rows="4"><?php echo $cfg['meta_desc']; ?></textarea>
			</div>
		</div>

		<div id="limit">
			<table class="adminbody">
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_EDIT_DELIT']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_EDIT_DELIT_TIME']; ?> </span> </td>
					<td class="tdright">
						<select name="edit_minutes">
							<option value="0" <?php if(!$cfg['edit_minutes']) { echo 'selected'; } ?> > <?php echo $_LANG['AD_NOT_PROHIBIT']; ?> </option>
							<option value="-1" <?php if($cfg['edit_minutes']==-1) { echo 'selected'; } ?> > <?php echo $_LANG['AD_PROHIBIT']; ?> </option>
							<option value="1" <?php if($cfg['edit_minutes']==1) { echo 'selected'; } ?> > 1 <?php echo $_LANG['MINUTU1']; ?> </option>
							<option value="5" <?php if($cfg['edit_minutes']==5) { echo 'selected'; } ?> > 5 <?php echo $_LANG['MINUTE10']; ?> </option>
							<option value="10" <?php if($cfg['edit_minutes']==10) { echo 'selected'; } ?> > 10 <?php echo $_LANG['MINUTE10']; ?> </option>
							<option value="15" <?php if($cfg['edit_minutes']==15) { echo 'selected'; } ?> > 15 <?php echo $_LANG['MINUTE10']; ?> </option>
							<option value="30" <?php if($cfg['edit_minutes']==30) { echo 'selected'; } ?> > 30 <?php echo $_LANG['MINUTE10']; ?> </option>
							<option value="60" <?php if($cfg['edit_minutes']==60) { echo 'selected'; } ?> > 1 <?php echo $_LANG['HOUR1']; ?> </option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="tdleft"> <?php echo $_LANG['AD_FORUM_MIN_KARMA_ADD']; ?> </td>
					<td class="tdright"> <input class="uispin" name="min_karma_add" type="text" value="<?php echo $cfg['min_karma_add']; ?>" size="5"> </td>
				</tr>
			</table>
		</div>

     <!--   <?php echo jwTabs(ob_get_clean()); ?> -->
	 
		<p>
			<input name="opt" type="hidden" id="do" value="saveconfig">
			<input name="save" type="submit" id="save" value="<?php echo $_LANG['SAVE']; ?>">
			<input name="back" type="button" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $id; ?>';">
		</p>
	</form>

<?php }

if ($opt == 'list_ranks') {

    cpAddPathway($_LANG['AD_RANKS_FORUM']); ?>
	
	<form action="index.php?view=components&amp;do=config&amp;id=<?php echo $id; ?>" method="post" name="addform" target="_self" id="form1">
		<input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>">
		<table class="adminbody">
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_RANKS_FORUM_MODER']; ?> </td>
				<td class="tdright">
					<label> <input name="modrank" type="radio" value="1" <?php if (!empty($cfg['modrank'])) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
					<label> <input name="modrank" type="radio" value="0" <?php if (empty($cfg['modrank'])) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
				</td>
			</tr>
		</table>
		
		<table class="adminbody">
			<tr>
				<td class="tdlong"> <?php echo $_LANG['AD_RANKS']; ?> </td>
				<td class="tdlong"> <?php echo $_LANG['AD_NUMBER_POSTS']; ?> </td>
			</tr>
			
			<?php for($r = 1; $r <= 10; $r++){ ?>
                <tr>
                    <td class="tdleft"> <input class="fullsize" type="text" name="rank[ <?php echo $r ?> ][title]" value="<?php if(!empty($cfg['ranks'][$r]['title'])){echo htmlspecialchars($cfg['ranks'][$r]['title']); } ?>"> </td>
                    <td class="tdright"> <input class="uispin-min-0" name="rank[ <?php echo $r ?> ][msg]" type="text" id="" value="<?php if(!empty($cfg['ranks'][$r]['msg'])){echo htmlspecialchars($cfg['ranks'][$r]['msg']);} ?>" size="10"> </td> 
				</tr>
			<?php } ?>
		</table>

		<p>
			<input name="opt" type="hidden" id="do" value="saveranks">
			<input name="save" type="submit" id="save" value="<?php echo $_LANG['SAVE']; ?>">
			<input name="back" type="button" id="back" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&amp;do=config&amp;id=<?php echo $id; ?>';">
		</p>
	</form>

<?php }

if ($opt == 'show_cat'){
    $item_id = cmsCore::request('item_id', 'int', 0);
        $sql = "UPDATE cms_forum_cats SET published = 1 WHERE id = $item_id";
        $inDB->query($sql) ;
        echo '1'; exit;
    }

if ($opt == 'hide_cat'){
    $item_id = cmsCore::request('item_id', 'int', 0);
        $sql = "UPDATE cms_forum_cats SET published = 0 WHERE id = $item_id";
        $inDB->query($sql) ;
        echo '1'; exit;
    }

if ($opt == 'submit_cat'){

    if (!cmsUser::checkCsrfToken()) { cmsCore::error404(); }

    $cat['title']     = cmsCore::request('title', 'str', 'NO_TITLE');
    $cat['pagetitle'] = cmsCore::request('pagetitle', 'str', '');
    $cat['meta_keys'] = cmsCore::request('meta_keys', 'str', '');
    $cat['meta_desc'] = cmsCore::request('meta_desc', 'str', '');
    $cat['published'] = cmsCore::request('published', 'int');
    $cat['ordering']  = cmsCore::request('ordering', 'int');
    $cat['seolink']   = $model->getCatSeoLink($cat['title']);

    $inDB->insert('cms_forum_cats', $cat);

    cmsCore::addSessionMessage($_LANG['AD_DO_SUCCESS'], 'info');

    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=list_cats');

}

if($opt == 'delete_cat'){

    $item_id = cmsCore::request('item_id', 'int');
    $inDB->query("UPDATE cms_forums SET category_id = 0, published = 0  WHERE category_id = '$item_id'");
    $inDB->query("DELETE FROM cms_forum_cats WHERE id = '$item_id'");

    cmsCore::addSessionMessage($_LANG['AD_CATEGORY_REMOVED'], 'info');

    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=list_cats');

}

if ($opt == 'update_cat'){

    if (!cmsUser::checkCsrfToken()) { cmsCore::error404(); }

    $item_id = cmsCore::request('item_id', 'int');

    $cat['title']     = cmsCore::request('title', 'str', 'NO_TITLE');
    $cat['pagetitle'] = cmsCore::request('pagetitle', 'str', '');
    $cat['meta_keys'] = cmsCore::request('meta_keys', 'str', '');
    $cat['meta_desc'] = cmsCore::request('meta_desc', 'str', '');
    $cat['published'] = cmsCore::request('published', 'int');
    $cat['ordering']  = cmsCore::request('ordering', 'int');
    $cat['seolink']   = $model->getCatSeoLink($cat['title'], $item_id);

    $inDB->update('cms_forum_cats', $cat, $item_id);
    cmsCore::addSessionMessage($_LANG['AD_DO_SUCCESS'], 'info');
    cmsCore::redirect('?view=components&do=config&id='.$id.'&opt=list_cats');

}

if ($opt == 'list_cats'){

    cpAddPathway($_LANG['AD_FORUMS_CATS']);
    echo '<h3>'.$_LANG['AD_FORUMS_CATS'].'</h3>';

    $fields[] = array('title'=>'ID', 'field'=>'id', 'width'=>'30');
    $fields[] = array('title'=>$_LANG['TITLE'], 'field'=>'title', 'width'=>'', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit_cat&item_id=%id%');
    $fields[] = array('title'=>$_LANG['AD_IS_PUBLISHED'], 'field'=>'published', 'width'=>'100', 'do'=>'opt', 'do_suffix'=>'_cat');

    $actions[] = array('title'=>$_LANG['EDIT'], 'icon'=>'edit.gif', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit_cat&item_id=%id%');
    $actions[] = array('title'=>$_LANG['DELETE'], 'icon'=>'delete.gif', 'confirm'=>$_LANG['AD_DELETE_CATEGORY'], 'link'=>'?view=components&do=config&id='.$id.'&opt=delete_cat&item_id=%id%');

    cpListTable('cms_forum_cats', $fields, $actions);

}

if ($opt == 'list_forums'){

    echo '<h3>'.$_LANG['AD_FORUMS'].'</h3>';

    $fields[] = array('title'=>'ID', 'field'=>'id', 'width'=>'30');
    $fields[] = array('title'=>$_LANG['TITLE'], 'field'=>'title', 'width'=>'', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit_forum&item_id=%id%', 'filter'=>'15');
    $fields[] = array('title'=>$_LANG['AD_TOPICS'], 'field'=>'thread_count', 'width'=>'50');
    $fields[] = array('title'=>$_LANG['AD_FORUM_MESSAGES'], 'field'=>'post_count', 'width'=>'80');
    $fields[] = array('title'=>$_LANG['AD_IS_PUBLISHED'], 'field'=>'published', 'width'=>'60', 'do'=>'opt', 'do_suffix'=>'_forum');
    $fields[] = array('title'=>$_LANG['AD_CATEGORY'], 'field'=>'category_id', 'width'=>'150', 'prc'=>'cpForumCatById', 'filter'=>'1', 'filterlist'=>cpGetList('cms_forum_cats'));

    $actions[] = array('title'=>$_LANG['EDIT'], 'icon'=>'edit.gif', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit_forum&item_id=%id%');
    $actions[] = array('title'=>$_LANG['DELETE'], 'icon'=>'delete.gif', 'confirm'=>$_LANG['AD_FORUM_DELETE'], 'link'=>'?view=components&do=config&id='.$id.'&opt=delete_forum&item_id=%id%');

    cpListTable('cms_forums', $fields, $actions, 'parent_id>0', 'NSLeft');

}

if ($opt == 'add_cat' || $opt == 'edit_cat'){

    if ($opt=='add_cat'){
         echo '<h3>'.$_LANG['AD_CREATE_CATEGORY'].'</h3>';
         cpAddPathway($_LANG['AD_CREATE_CATEGORY']);
		 $mod['published'] = 1;
		 $mod['ordering']  = (int)$inDB->get_field('cms_forum_cats', '1=1 ORDER BY ordering DESC', 'ordering')+1;
    } else {

        $mod = $model->getForumCat(cmsCore::request('item_id', 'int', 0));
        if(!$mod){ cmsCore::error404(); }
        cpAddPathway($_LANG['AD_EDIT_CATEGORY']);
        echo '<h3>'.$_LANG['AD_EDIT_CATEGORY'].'</h3>';

   } ?>

	<form id="addform" name="addform" method="post" action="index.php?view=components&amp;do=config&amp;id=<?php echo $id; ?>">
		<input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>">
		<table class="adminbody">
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_CATEGORY_NAME']; ?> <?php printLangPanel('forum_forum_cats', @$mod['id'], 'title'); ?> </td>
				<td class="tdright"> <input class="fullsize" name="title" type="text" id="title" value="<?php if(isset($mod['title'])){ echo htmlspecialchars($mod['title']); } ?>"> </td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_CATEGORY_POST']; ?> ? </td>
				<td class="tdright">
					<label> <input name="published" type="radio" value="1" <?php if ($mod['published']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
					<label> <input name="published" type="radio" value="0" <?php if (!$mod['published']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
				</td>
			</tr>
            <tr>
                <td class="tdleft"> <?php echo $_LANG['AD_SERIAL_NUMBER']; ?> </td>
				<td class="tdright"> <input name="ordering" type="text" id="ordering" value="<?php echo $mod['ordering']; ?>" size="5"> </td>
			</tr>
			<tr>
				<td colspan="2" class="tdleft">
					<div class="tabtitle">
						<?php echo $_LANG['SEO_PAGETITLE'] ?> <?php printLangPanel('forum_forum_cats', @$mod['id'], 'pagetitle'); ?> <br>
						<span class="hinttext"> <?php echo $_LANG['SEO_PAGETITLE_HINT']; ?> </span>
					</div>
					<textarea name="pagetitle" rows="2"><?php echo @$mod['pagetitle']; ?></textarea>

                    <div class="tabtitle">
						<?php echo $_LANG['SEO_METAKEYS'] ?> <?php printLangPanel('forum_forum_cats', @$mod['id'], 'meta_keys'); ?> <br>
						<span class="hinttext"> <?php echo $_LANG['AD_FROM_COMMA']; ?> </span>
					</div>
					<textarea name="meta_keys" rows="2"><?php echo @$mod['meta_keys']; ?></textarea>

					<div class="tabtitle">
						<?php echo $_LANG['SEO_METADESCR'] ?> <?php printLangPanel('forum_forum_cats', @$mod['id'], 'meta_desc'); ?> <br>
						<span class="hinttext"> <?php echo $_LANG['SEO_METADESCR_HINT']; ?> </span>
					</div>
					<textarea name="meta_desc" rows="4"><?php echo @$mod['meta_desc']; ?></textarea>
				</td>
			</tr>
		</table>

		<p>
			<input name="opt" type="hidden" id="opt" <?php if ($opt=='add_cat') { echo 'value="submit_cat"'; } else { echo 'value="update_cat"'; } ?> >
			<input name="add_mod" type="submit" id="add_mod" value="<?php echo $_LANG['SAVE']; ?>">
			<input name="back2" type="button" id="back2" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $id; ?>';">
			<?php if ($opt=='edit_cat'){ echo '<input name="item_id" type="hidden" value="'.$mod['id'].'">'; } ?>
		</p>

	</form>

<?php }

if ($opt == 'add_forum' || $opt == 'edit_forum'){

    if ($opt=='add_forum'){
         echo '<h3>'.$_LANG['AD_FORUM_NEW'].'</h3>';
         cpAddPathway($_LANG['AD_FORUM_NEW']);
         $mod['published'] = 1;
    } else {
        if(isset($_REQUEST['multiple'])){
            if (isset($_REQUEST['item'])){
                $_SESSION['editlist'] = cmsCore::request('item', 'array_int', array());
            } else {
                cmsCore::addSessionMessage($_LANG['AD_NO_SELECT_OBJECTS'], 'error');
                cmsCore::redirectBack();
            }
        }

        $ostatok = '';

        if (isset($_SESSION['editlist'])){
           $item_id = array_shift($_SESSION['editlist']);
           if (sizeof($_SESSION['editlist'])==0) { unset($_SESSION['editlist']); } else
           { $ostatok = '('.$_LANG['AD_NEXT_IN'].sizeof($_SESSION['editlist']).')'; }
        } else { $item_id = cmsCore::request('item_id', 'int', 0); }

        $mod = $model->getForum($item_id);
        if(!$mod){ cmsCore::error404(); }

        echo '<h3>'.$mod['title'].' '.$ostatok.'</h3>';
        cpAddPathway($mod['title']);

	} ?>
	
	<form action="index.php?view=components&do=config&id=<?php echo $id; ?>" method="post" name="addform" id="addform" enctype="multipart/form-data">
		<input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>">
		<table class="adminbody">
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_FORUM_TITLE']; ?> : <?php printLangPanel('forum_forums', @$mod['id'], 'title'); ?> </td>
				<td class="tdright"> <input class="fullsize" name="title" type="text" id="title" value="<?php if(isset($mod['title'])){ echo htmlspecialchars($mod['title']); } ?>"> </td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_FORUM_DESCR']; ?> : <?php printLangPanel('forum_forums', @$mod['id'], 'description'); ?> </td>
				<td class="tdright"> <textarea name="description" cols="35" rows="2" id="description"><?php if(isset($mod['description'])){ echo $mod['description']; }?></textarea> </td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_FORUM_POST']; ?> ? </td>
				<td class="tdright"> 
					<label> <input name="published" type="radio" value="1" checked="checked" <?php if ($mod['published']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['YES']; ?> </label>
					<label> <input name="published" type="radio" value="0" <?php if (!$mod['published']) { echo 'checked="checked"'; } ?> > <?php echo $_LANG['NO']; ?> </label>
				</td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_FORUM_PARENTS']; ?> : </td>
				<td class="tdright">
					<?php $rootid = $inDB->get_field('cms_forums', 'parent_id=0', 'id'); ?>
					<select name="parent_id" id="parent_id">
						<option value="<?php echo $rootid; ?>" <?php if( (isset($mod['parent_id']) AND $mod['parent_id']==$rootid) || !isset($mod['parent_id'])){ echo 'selected'; } ?> > <?php echo $_LANG['AD_FORUM_SQUARE']; ?> </option>
						<?php if(isset($mod['parent_id'])){
							echo $inCore->getListItemsNS('cms_forums', $mod['parent_id']);
						} else {
							echo $inCore->getListItemsNS('cms_forums');
						} ?>
					</select>
				</td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_CATEGORY']; ?> : </td>
				<td class="tdright">
					<select name="category_id" id="category_id">
						<?php if (isset($mod['category_id'])) {
							echo $inCore->getListItems('cms_forum_cats', $mod['category_id'], 'ordering');
						} else {
							if (isset($_REQUEST['addto'])){
								echo $inCore->getListItems('cms_forum_cats', cmsCore::request('addto', 'int', 0), 'ordering');
							} else {
								echo $inCore->getListItems('cms_forum_cats', 0, 'ordering');
							}
						} ?>
					</select>
				</td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_SHOW_GROUP']; ?> : <br> <span class="hinttext"> <?php echo $_LANG['AD_SELECT_MULTIPLE_CTRL']; ?>. </span> </td>
				<td class="tdright">

					<?php $groups = cmsUser::getGroups();
					$style  = 'disabled="disabled"';
					$public = 'checked="checked"';
					$access_list = '';

					if(isset($mod['access_list'])){
						if($mod['access_list']){
							$public = '';
							$style  = '';
							$access_list = $inCore->yamlToArray($mod['access_list']);
						}
					}

					echo '<select name="access_list[]" id="showin" size="6" multiple="multiple" '.$style.'>';

					if ($groups){
						foreach($groups as $group){
							if(!$group['is_admin']){
								echo '<option value="'.$group['id'].'"';
								if($access_list){
									if (inArray($access_list, $group['id'])){
										echo 'selected';
									}
								}
								echo '>';
								echo $group['title'].'</option>';
							}
						}
					}

					echo '</select>'; ?>

					<label> <input class="checklist" name="is_access" type="checkbox" id="is_access" onclick="checkAccesList()" value="1" <?php echo $public?> > <?php echo $_LANG['AD_ALL_GROUPS']; ?> </label>
				</td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_FORUM_MODERATORS']; ?> : <br> <span class="hinttext"> <?php echo $_LANG['AD_FORUM_HINT']; ?>. </span> </td>
				<td class="tdright">
					<?php if(isset($mod['moder_list'])){
						if($mod['moder_list']){
							$public = '';
							$style  = '';
							$moder_list = $inCore->yamlToArray($mod['moder_list']);

							if($moder_list){
								$moder_list = cmsUser::getAuthorsList($moder_list, $moder_list);
							}
						}
					} ?>
					<select name="users_list" id="users_list"> <?php echo cmsUser::getUsersList(); ?> </select>

					<div class="vfield">
						<a class="ajaxlink" href="javascript:" onclick="addModer()"> <?php echo $_LANG['AD_ADD_SELECTED']; ?> </a>
						<select name="moder_list[]" size="8" multiple id="moder_list"> <?php if($moder_list){ echo $moder_list; } ?> </select>
						<a class="ajaxlink" href="javascript:" onclick="deleteModer()"> <?php echo $_LANG['AD_DELETE_SELECTED']; ?> </a>
					</div>
				</td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_FORUM_ICON']; ?> : <br> <span class="hinttext"> <?php echo $_LANG['AD_FORUM_ICON_HINT']; ?> </span> </td>
				<td class="tdright">
					<?php if(isset($mod['icon']) AND $mod['icon']){ ?> <img src="/upload/forum/cat_icons/<?php echo $mod['icon'];?>" alt=""> <?php } ?>
					<input name="Filedata" type="file">
				</td>
			</tr>
			<tr>
				<td class="tdleft"> <?php echo $_LANG['AD_COST_CREATING']; ?> : <br> <span class="hinttext"> 0 &mdash; <?php echo $_LANG['AD_COST_FREE']; ?> </span> </td>
				<td class="tdright">
					<?php if (IS_BILLING) { ?>
						<input name="topic_cost" type="text" id="title" value="<?php echo $mod['topic_cost']; ?>"> <?php echo $_LANG['BILLING_POINT10']; ?>
					<?php } else { ?>
						<?php echo $_LANG['AD_REGUIRED']; ?> &laquo; <a href="http://www.instantcms.ru/billing/about.html"> <?php echo $_LANG['AD_BILLING_USERS']; ?> </a> &raquo;
					<?php } ?>
				</td>
			</tr>
			<tr>
				<td class="tdleft" colspan="2">
					<div class="tabtitle">
						<?php echo $_LANG['SEO_PAGETITLE'] ?> <?php printLangPanel('forum_forums', @$mod['id'], 'pagetitle'); ?> <br>
						<span class="hinttext"> <?php echo $_LANG['SEO_PAGETITLE_HINT']; ?> </span>
					</div>
					<textarea name="pagetitle" rows="2"><?php echo @$mod['pagetitle']; ?></textarea>

					<div class="tabtitle">
						<?php echo $_LANG['SEO_METAKEYS'] ?> <?php printLangPanel('forum_forums', @$mod['id'], 'meta_keys'); ?> <br>
						<span class="hinttext"> <?php echo $_LANG['AD_FROM_COMMA']; ?> </span>
					</div>
					<textarea name="meta_keys" rows="2"><?php echo @$mod['meta_keys']; ?></textarea>

					<div class="tabtitle">
						<?php echo $_LANG['SEO_METADESCR'] ?> <?php printLangPanel('forum_forums', @$mod['id'], 'meta_desc'); ?> <br>
						<span class="hinttext"> <?php echo $_LANG['SEO_METADESCR_HINT'] ?> </span>
					</div>
					<textarea name="meta_desc" rows="4"><?php echo @$mod['meta_desc']; ?></textarea>
				</td>
			</tr>
		</table>
		
		<p>
			<input name="add_mod" type="submit" id="add_mod" value="<?php echo $_LANG['SAVE']; ?>">
			<input name="back3" type="button" id="back3" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $id; ?>';">
			<input name="opt" type="hidden" id="opt" <?php if ($opt=='add_forum') { echo 'value="submit_forum"'; } else { echo 'value="update_forum"'; } ?> >
			<?php if ($opt=='edit_forum'){ echo '<input name="item_id" type="hidden" value="'.$mod['id'].'">'; } ?>
		</p>
	</form>
	
	<script>
		$().ready(function() {
			$("#addform").submit(function() {
				$('#moder_list').each(function(){
					$('#moder_list option').prop("selected", true);
				});
			});
		});

		function deleteModer(){
			$('#moder_list option:selected').each(function () {
				$(this).remove();
			});
		}

		function addModer(){
			$('#users_list option:selected').each(function () {
				$(this).appendTo('#moder_list');
			});
		}

		function checkAccesList(){
			if(document.addform.is_access.checked){
				$('select#showin').prop('disabled', true);
			} else {
				$('select#showin').prop('disabled', false);
			}
		}
	</script>

<?php } ?>