<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

function mod_comments($mod, $cfg){

	$inDB   = cmsDatabase::getInstance();
	$inUser = cmsUser::getInstance();

	if (!isset($cfg['showrss'])) { $cfg['showrss'] = 1;}
	if (!isset($cfg['minrate'])) { $cfg['minrate'] = 0;}
	if (!isset($cfg['showguest'])) { $cfg['showguest'] = 0;}
	if (!sizeof($cfg['targets'])){ return true; }

	cmsCore::loadModel('comments');
	$model = new cms_model_comments();
	$model->initAccess();

	// Комментарии только нужного назначения
	$model->whereTargetIn($cfg['targets']);
	// Если не показывать гостей, добавляем условие
	if(!$cfg['showguest']){ $model->whereOnlyUsers(); }
	// Администраторам и админам показываем все комментарии
	if(!($inUser->is_admin || $model->is_can_moderate)){
		$model->whereIsShow();
	}
	// Комментарии в зависимости от рейтинга
	if($cfg['minrate'] <> 0){
		$model->whereRatingOver($cfg['minrate']);
	}

	$inDB->orderBy('c.pubdate', 'DESC');
	$inDB->limitPage(1, $cfg['shownum']);

	$comments = $model->getComments(true, false, true);
	if(!$comments) { return false; }

	cmsPage::initTemplate('modules', $cfg['tpl'])->
            assign('comments', $comments)->
            assign('cfg', $cfg)->
            display($cfg['tpl']);

	return true;

}