<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//
    /*
     * Доступны объекты $inCore, $inUser, $inPage($this), $inConf, $inDB
     */
	$this->addHead('<script>var TEMPLATE = "'.TEMPLATE.'";</script>');
    // Получаем количество модулей на нужные позиции
	$mod_count['somewhere'] = $this->countModules('somewhere');
    $mod_count['top']     = $this->countModules('top'); 
    $mod_count['topmenu'] = $this->countModules('topmenu');
    $mod_count['sidebar'] = $this->countModules('sidebar');
    $mod_count['sidebar-1'] = $this->countModules('sidebar-1');
	$mod_count['accordeon'] = $this->countModules('accordeon');
	//	Позиции блоков над футером  -  vam
	$mod_count['bottom-1'] = $this->countModules('bottom-1');	
    $mod_count['bottom-2'] = $this->countModules('bottom-2');	
	$mod_count['bottom-3'] = $this->countModules('bottom-3');
    // подключаем jQuery и js ядра в самое начало
    $this->prependHeadJS('core/js/common.js');
    $this->prependHeadJS('includes/jquery/jquery.js');
    // Подключаем стили шаблона
    $this->addHeadCSS('templates/'.TEMPLATE.'/css/bootstrap.min.css');
    $this->addHeadCSS('templates/'.TEMPLATE.'/css/responsive.css');	
    $this->addHeadCSS('templates/'.TEMPLATE.'/css/style.css');
	$this->addHeadCSS('templates/'.TEMPLATE.'/css/totop.css');
	$this->addHeadCSS('templates/'.TEMPLATE.'/css/font-awesome.css');
	// Подключаем редактор 
	$this->addHeadJS('plugins/p_ckeditor/editor/plugins/spoiler/js/spoiler.js');
	$this->addHeadCSS('plugins/p_ckeditor/editor/plugins/spoiler/css/spoiler.css');
    // Подключаем colorbox (просмотр фото)
    $this->addHeadJS('includes/jquery/colorbox/jquery.colorbox.js');
    $this->addHeadCSS('includes/jquery/colorbox/colorbox.css');
    $this->addHeadJS('includes/jquery/colorbox/init_colorbox.js');
    // LANG фразы для colorbox
    $this->addHeadJsLang(array('CBOX_IMAGE','CBOX_FROM','CBOX_PREVIOUS','CBOX_NEXT','CBOX_CLOSE','CBOX_XHR_ERROR','CBOX_IMG_ERROR', 'CBOX_SLIDESHOWSTOP', 'CBOX_SLIDESHOWSTART'));
	// Подключаем остальные js-скрипты
	$this->addHeadJS('includes/jquery/jquery.maskedinput.min.js');
	$this->addHeadJS('templates/'.TEMPLATE.'/js/totop.js');
	$this->addHeadJS('templates/'.TEMPLATE.'/js/bootstrap.min.js');
	$this->addHeadJS('components/banners/js/banners.js');
	if($inUser->is_admin){
		$this->addHeadJS('admin/js/modconfig.js');
		$this->addHeadCSS('templates/'.TEMPLATE.'/css/modconfig.css');
	}
	// В этот файл свалены все js-скрипты, ранее торчавшие в шаблоне template.php
	$this->addHeadJS('templates/'.TEMPLATE.'/js/template.js');
?>
<!DOCTYPE html>
<html lang="ru">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<?php
		$this->printHead();
		/* позиция вывода иконки сайта */
		$this->printModules('favicon');
	?>
</head>

<body>
<?php /* Это позиция для модулей, которые ставятся "поверх сайта" - например, модуль куков, модуль "С Новым годом", модуль "Снег" и др. */ ?>
<?php if ($mod_count['somewhere']) { ?>
	<div>
		<?php $inPage->printModules('somewhere'); ?> 
	</div>
<?php } ?>

<?php /* Если сайт выключен */ ?>
<?php if ($inConf->siteoff && $inUser->is_admin) { ?> 
	<div class="siteoff" >
		<?php echo $_LANG['SITE_IS_DISABLE']; ?>
	</div>
<?php } ?>

<header>
	<div class="header-1">
		<div class="container"><!--  container-fluid =>  container - vam -->
			<div class="row">
				<div class="col-md-4 col-sm-10 col-xs-10">
					<a href="/" rel="home"><img class="logotip" src="/images/logo.png" alt="logo"></a>
					<?php if ($inConf->is_change_lang) { $langs = cmsCore::getDirsList('/languages'); ?>
					<div onclick="$('#langs-select').toggle().toggleClass('active_lang');$(this).toggleClass('active_lang'); return false;" title="<?php echo $_LANG['TEMPLATE_INTERFACE_LANG']; ?>" id="langs" style="background-image:  url(/images/icons/langs/<?php echo $inConf->lang; ?>.png);">
						<span>&#9660;</span>
						<ul id="langs-select">
							<?php foreach ($langs as $lng) { ?>
								<li onclick="setLang('<?php echo $lng; ?>'); return false;" style="background-image:  url(/images/icons/langs/<?php echo $lng; ?>.png);"><?php echo $lng; ?></li>
							<?php } ?>
						</ul>
					</div>
					<?php } ?>
					<div style="clear:both;"></div>
				</div>
				<div  class="icon-menu-main-user" >
					<nav class="nav-wrap-user"><?php $this->printModules('header'); ?></nav>
				</div>
			</div>
		</div>
	</div>
	<div class="header-2">
		<div class="container"><!--  container-fluid =>  container - vam -->
			<div class="row">
				<div class="col-xs-12">
					<nav class="nav-wrap-main"><?php $this->printModules('topmenu'); ?></nav>
				</div>
			</div>
		</div>
	</div>
</header>


<div class="container"><!--  container-fluid  =>  container - vam   ||   col-md-3 col-sm-6  =>  col-md-3 col-sm-12   -->
	<?php $this->printPathway('&rarr;'); ?>
	<?php if ($mod_count['top']) { ?>
		<!--  top  -  class="row hidden-xs hidden-sm hidden-md"  -  vam  -->
		<div class="row hidden-xs hidden-sm hidden-md"><aside class="col-xs-12"><?php $this->printModules('top'); ?></aside></div>
	<?php } ?>
	
	<div class="row">
	
		<?php if ($mod_count['sidebar-1']) { ?>
			<aside class="<?php if ($mod_count['sidebar']) { ?>col-md-3 col-sm-12<?php } else { ?>col-md-4<?php } ?>"><?php $this->printModules('sidebar-1'); ?></aside>
		<?php } ?>

		<div class="<?php if ($mod_count['sidebar'] and $mod_count['sidebar-1']) { ?>col-md-6 col-sm-12<?php } elseif ($mod_count['sidebar'] or $mod_count['sidebar-1']) { ?>col-md-8<?php } else { ?>col-xs-12<?php } ?>">
			<?php $this->printModules('maintop');
			$messages = cmsCore::getSessionMessages();
			if ($messages) { ?>
				<div class="sess_messages" id="sess_messages">
					<?php foreach($messages as $message){echo $message;} ?>
				</div>
			<?php }
			if($this->page_body){ ?>
				<div class="component"><?php $this->printBody(); ?></div>
			<?php }
			$this->printModules('mainbottom');
			if ($mod_count['accordeon']) { ?>
				<aside class="panel-group" id="accordion"><?php $this->printModules('accordeon'); ?></aside>
			<?php } ?>
		</div>

		<?php if ($mod_count['sidebar']) { ?>
			<aside class="<?php if ($mod_count['sidebar-1']) { ?>col-md-3 col-sm-12<?php } else { ?>col-md-4<?php } ?>"><?php $this->printModules('sidebar'); ?>	

			</aside>
		<?php } ?>
		
	</div>
	
</div>

<!--   блоки над футером, начало   -   vam   -->	
<div class="container">

<div class="bottom-row">	
	<div class="row">
		<? //OV:: условия надо переделывать ?>
		<?php if ($mod_count['bottom-3']){ ?>
			<?php if ($mod_count['bottom-1']){ ?>
				<? //OV:: ?>
				<?php if ($mod_count['bottom-2']){ ?>			
					<div class="col-md-4"><?php $this->printModules('bottom-1'); ?></div>
					<div class="col-md-4"><?php $this->printModules('bottom-2'); ?></div>
					<div class="col-md-4"><?php $this->printModules('bottom-3'); ?></div>
				<?php } else { ?>		
					<div class="col-md-6"><?php $this->printModules('bottom-1'); ?></div>
					<div class="col-md-6"><?php $this->printModules('bottom-3'); ?></div>
				<?php } ?>
				<? //OV:: end ?>
			<?php } else { ?>
				<?php if ($mod_count['bottom-2']){ ?>		
					<div class="col-md-6"><?php $this->printModules('bottom-2'); ?></div>
					<div class="col-md-6"><?php $this->printModules('bottom-3'); ?></div>
				<?php } else { ?>
					<div class="col-md-12"><?php $this->printModules('bottom-3'); ?></div>
				<?php } ?>
			<?php } ?>
		<?php } else { ?>
			<?php if ($mod_count['bottom-1']){ ?>
				<?php if ($mod_count['bottom-2']){ ?>
					<div class="col-md-6"><?php $this->printModules('bottom-1'); ?>
					<div class="col-md-6"><?php $this->printModules('bottom-2'); ?>
					<?php } else { ?>
					<div class="col-md-12"><?php $this->printModules('bottom-1'); ?></div>
				<?php } ?>
			<?php } else { ?>
				<?php if ($mod_count['bottom-2']) { ?>
					<div class="col-md-12"><?php $this->printModules('bottom-2'); ?></div>
				<?php } ?>
			<?php } ?>
		<?php } ?>
	</div>
</div>

</div>
<!--  блоки над футером, окончание   -   vam  -->	


<!--  container-fluid  =>  container  -  vam  -->
<!--  padding-top:110px  =>  отступ от футера - зависит от длины строки в футере. Важно на моб. устройствах  -  vam  -->
<div class="bottom-row" style="padding-top:110px;">			
    <footer class="footer">
	<div  class="container">	
		<div class="row">
			<div style="color:#fff; opacity:0.96;" class="col-xs-12 text-center" id="copyright">
				<?php $this->printSitename(); ?> &copy;2008 - <?php echo date('Y'); ?> | Работает на <a style="color: cyan;" href="http://instantcms.ru" target="_blank">InstantCMS</a> 1.10.7 | Сборка <a style="color: cyan;" href="http://icms.su" target="_blank">iCMS</a> 008/01 от 15 января 2021 года
			</div>
		</div>	
	</div>		
    </footer>
</div>

<span class="totop hidden-xs">
	<a href="#" title="Вверх">
		<i class="fa fa-angle-up"></i>
	</a>
</span>

<?php if($inConf->debug && $inUser->is_admin){ cmsPage::includeTemplateFile('special/debug.php'); } ?>


</body>
</html>